您好,欢迎访问代理记账网站
  • 价格透明
  • 信息保密
  • 进度掌控
  • 售后无忧

flutter项目运行报错Failed to find Build Tools revision 29.0.2

在上一篇文章,介绍了安装第三方模拟器的方法,但是运行 flutter run -d "MuMu" 命令后报错了,我又一次崩溃了😂。好不容易安装好了一个模拟器,居然运行不了,幼小的心灵,再一次受伤了😭。

平复一下心情,我们来冷静看看问题:👇

Could not determine the dependencies of task ':app:compileDebugJavaWithJavac'.
> Failed to find Build Tools revision 29.0.2  

 从报错的信息来看,意思就是说

无法确定任务':app:compileDebugJavaWithJavac'的依赖关系,无法找到Build Tools版本29.0.2

在网上找了一圈,也发现了很多小伙伴有遇到类似的问题。经过一些尝试,问题总算是得到了解决,解决过程如下。

在flutter的项目过程里面找到app->build.gradle->android

在compileSdkVersion 的下一行,加上一行buildToolsVersion "版本号"

版本号在安卓的SDK里面找到SDkTools,里面就有版本号,如下图

 

按照上面的方法操作之后,我们再来运行一下flutter项目看看

第一次成功运行会告诉我们常用的一些热键

Flutter run key commands.

  • r Hot reload. 🔥🔥🔥
  • R Hot restart.
  • h Repeat this help message.
  • d Detach (terminate "flutter run" but leave application running).
  • c Clear the screen
  • q Quit (terminate the application on the device).

💪 Running with sound null safety 💪

r热装。 🔥🔥🔥

R热重启。

h重复此帮助消息。

d分离(终止“ flutter run”,但保持应用程序运行)

c清除屏幕

q退出(终止设备上的应用程序)

哈哈😁,完美运行,还有谁。。。。?45度仰望天花板🤩,我这该死的,无处安放的魅力啊!😁😎😎😁

 

 🌹欢迎大家留言交流,批评指正,互相学习😁,提升自我🌹

 

 

 

 

 

 

 

 


分享:

低价透明

统一报价,无隐形消费

金牌服务

一对一专属顾问7*24小时金牌服务

信息保密

个人信息安全有保障

售后无忧

服务出问题客服经理全程跟进